Subject: Re: Patch resubmission: RFC2863 operstatus for 2.5.50

From: Stefan Rompf <[email-masked]>
Date: Wed, 04 Dec 2002 10:44:58 +0100

Hi,

Jeff Garzik wrote:

> Pardon my dumb question, but what parts of RFC2863 require kernel
> additions over and above your link state patch?

the kernel does not know LOWERLAYERDOWN, TESTING, DORMANT, UNKNOWN. They
can be useful when drivers adopt to this scheme.

> Your second patch I am less enthusiastic about than the first... :(

Well, with your opinion I count two against two: I want it, Jamal has
proposed the semantics, and Alexey doesn't want to waste a single bit of
a netlink message for this.

What now?

Stefan